%define __libtoolize /bin/true
%define __cputoolize /bin/true
%define iconname xfmedia.png

Summary: 	Xfmedia is a media player for Xfce
Name: 		xfmedia
Version: 	0.9.1
Release: 	%mkrel 3
License:	BSD
URL: 		http://www.spuriousinterrupt.org/projects/xfmedia/files/
Source0: 	%{name}-%{version}.tar.xz
Patch1:		fix-libutil-crap.diff
Group:		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	glib2-devel >= 2.0.6
BuildRequires: 	libxfcegui4-devel >= %{version}
BuildRequires:	libxine-devel 
BuildRequires:	startup-notification-devel
BuildRequires:  ImageMagick
BuildRequires:  exo-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	taglib-devel
BuildRequires:	dbus-devel
BuildRequires:  chrpath


%description
Xfmedia is a media player for Xfce.

%package -n %name-devel
Summary:    Xfmedia is a media player for Xfce
Group:      Development/Other	
Requires:  %{name}

%description -n %name-devel
Pkg contains the header files needed for developing with Xfmedia.


%prep
%setup -q 
%patch1 -p0 -b .xfce_textdomain

%configure2_5x

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std   

%find_lang %{name}
 
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 pixmaps/%{name}.png %{buildroot}%{_liconsdir}/%{iconname}
convert pixmaps/%{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert pixmaps/%{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname} 
 

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=XFMedia
Comment=Xfmedia is a media player for Xfce
Exec=%{name}
Icon=%{iconname}
Terminal=false
Type=Application
StartupNotify=false
MimeType=text/plain;
Categories=X-MandrivaLinux-Multimedia-Audio;AudioVideo;X-MandrivaLinux-Multimedia-Video;
EOF

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}
%{update_desktop_database}

%clean
rm -rf %{buildroot}
%{clean_desktop_database}


%files -f %{name}.lang
%defattr(-,root,root)
%doc README README.remote ChangeLog COPYING AUTHORS NEWS
%{_bindir}/* 
%config(noreplace) %{_sysconfdir}/xdg/xfmedia
%dir %{_libdir}/xfmedia
%dir %{_libdir}/xfmedia/plugins
%{_libdir}/xfmedia/plugins/*.so
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/applications/xfmedia.desktop
%{_datadir}/xfmedia
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%files -n %name-devel
%defattr(-,root,root)
%doc README.plugins
%{_includedir}/%{name}
%{_libdir}/xfmedia/plugins/*a
%{_libdir}/pkgconfig/xfmedia-plugin.pc

%changelog
* Thu Nov 04 2010 Texstar <texstar at gmail.com> 0.9.1-3pclos2010
- clean up specfile

* Mon Oct 25 2010 Sproggy <desproggster@gmail.com> 0.9.1-2pclos2010
- update menu entry

* Sun Oct 24 2010 Sproggy <desproggster@gmail.com> 0.9.1-1pclos2010
- build for pclos


